Subject: bug#39239: 28.0.50; S-TAB in shr buffers doesn't work reliably

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 17 Jul 2020 18:45:33 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Looking at the code in text-property-search-backward, there seems to be
> several off-by-one errors there, interacting with each other in horrible
> ways and makes my head swim, but unless somebody gets there before me,
> I'll have a look at it some other day.

I think I got it right now -- all the test cases still work, and the
behaviour in eww now seems correct in my use case.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no